template<template< typename U, typename V, typename...Args > class ObjectType = std::map, template< typename U, typename...Args > class ArrayType = std::vector, class StringType = std::string, class BooleanType = bool, class NumberIntegerType = int64_t, class NumberFloatType = double, template< typename U > class AllocatorType = std::allocator>
template<class T , typename std::enable_if< std::is_same< T, typename __basic_json::iterator >::value orstd::is_same< T, typename __basic_json::const_iterator >::value, int >::type = 0>

nlohmann::basic_json::basic_json | ( | T | first,
|  | T | last
| ) |  |

inline

Constructs the JSON value with the contents of the range `[first, last)`.

Template Parameters

  T | an iterator type (iterator or const_iterator)

Parameters

  [in] | first | begin of the range to copy from (included)
  [in] | last | end of the range to copy from (excluded)

Complexity
  Linear in distance between first and last.